### Property

# Soup Session:tls-database

#### Declaration

    property tls-database: Gio.TlsDatabase [ read, write ]

#### Description [src]

Sets the `GTlsDatabase` to use for validating SSL/TLS certificates.

If no certificate database is set, then the default database will be used. See `g_tls_backend_get_default_database()`.

Type: | `GTlsDatabase`

Getter method | `soup_session_get_tls_database()`
Setter method | `soup_session_set_tls_database()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no